Package org.apache.torque.util.functions

## Class AbstractFunctionTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.apache.torque.util.functions.AbstractFunctionTest

- All Implemented Interfaces:
    `junit.framework.Test`

      public class AbstractFunctionTest
      extends junit.framework.TestCase

  Tests the AggregateFunction class.
  Version:
    $Id: AbstractFunctionTest.java 1839288 2018-08-27 09:48:33Z tv $

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractFunctionTest()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `setUp()` |
    `void` | `testAdArgument()` | Tests that addArgument works
    `void` | `testGetArgument()` | Tests that getArgument(0) returns the column.
    `void` | `testGetColumnName()` | Tests the getColumnName method always returns null.
    `void` | `testGetFullTableName()` | Tests the getFullTableName method returns the fullTableName of the column argument.
    `void` | `testGetFullTableNameDifferentTables()` | Tests the getFullTableName method returns null if different tables are encountered.
    `void` | `testGetSchemaName()` | Tests the getSchemaName method returns the schema of the column argument.
    `void` | `testGetSchemaNameDifferentTables()` | Tests the getSchemaName method returns null if different schemas are encountered.
    `void` | `testGetSetArgumentList()` | Tests that getArgumentList and SetArgumentList work
    `void` | `testGetSetArguments()` | Tests that getArguments and SetArguments work
    `void` | `testGetTableName()` | Tests the getTableName method returns the table of the column argument.
    `void` | `testGetTableNameDifferentTables()` | Tests the getTableName method returns null if different tables are encountered.

    - ### Methods inherited from class junit.framework.TestCase

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, tearDown, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractFunctionTest

          public AbstractFunctionTest()

  - ### Method Detail

    - #### setUp

          public void setUp()

      Overrides:
        `setUp` in class `junit.framework.TestCase`

    - #### testGetSetArguments

          public void testGetSetArguments()

      Tests that getArguments and SetArguments work

    - #### testGetSetArgumentList

          public void testGetSetArgumentList()

      Tests that getArgumentList and SetArgumentList work

    - #### testAdArgument

          public void testAdArgument()

      Tests that addArgument works

    - #### testGetArgument

          public void testGetArgument()

      Tests that getArgument(0) returns the column.

    - #### testGetColumnName

          public void testGetColumnName()

      Tests the getColumnName method always returns null. This is because the function has no real column name.

    - #### testGetTableName

          public void testGetTableName()

      Tests the getTableName method returns the table of the column argument.

    - #### testGetTableNameDifferentTables

          public void testGetTableNameDifferentTables()

      Tests the getTableName method returns null if different tables are encountered.

    - #### testGetFullTableName

          public void testGetFullTableName()

      Tests the getFullTableName method returns the fullTableName of the column argument.

    - #### testGetFullTableNameDifferentTables

          public void testGetFullTableNameDifferentTables()

      Tests the getFullTableName method returns null if different tables are encountered.

    - #### testGetSchemaName

          public void testGetSchemaName()

      Tests the getSchemaName method returns the schema of the column argument.

    - #### testGetSchemaNameDifferentTables

          public void testGetSchemaNameDifferentTables()

      Tests the getSchemaName method returns null if different schemas are encountered.